Name:           gir-repository
Version:        0.6.3
Release:        1%{?dist}
Summary:        Introspection for GNOME libraries

Group:		Development/Libraries
License:        LGPLv2+
URL:            http://live.gnome.org/GObjectIntrospection
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/%{name}/0.6/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gobject-introspection-devel = %{version}
BuildRequires:  GConf2-devel
BuildRequires:  libsoup-devel
BuildRequires:  gnome-keyring-devel
BuildRequires:  gtk2-devel
BuildRequires:  poppler-glib-devel
BuildRequires:  WebKit-gtk-devel
BuildRequires:  libnotify-devel
BuildRequires:  gtksourceview2-devel
BuildRequires:  vte-devel
BuildRequires:  clutter-gtk-devel
BuildRequires:  goocanvas-devel
BuildRequires:  gstreamer-devel
BuildRequires:  gssdp-devel
BuildRequires:  gupnp-devel
BuildRequires:  avahi-gobject-devel
BuildRequires:  babl-devel

%description
Introspection system for GNOME libraries; see the gobject-introspection package.

%package devel
Summary: Libraries and headers for gir-repository
Group: Development/Libraries
Requires: %name = %{version}-%{release}
Requires: gobject-introspection-devel

%description devel
Libraries and headers for gir-repository

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING

%{_libdir}/lib*.so
%{_libdir}/girepository-1.0/*.typelib

%files devel
%defattr(-,root,root)
%{_datadir}/gir-1.0/*.gir

%changelog
* Thu Jul  2 2009 Peter Robinson <pbrobinson@gmail.com>
- Update to 0.6.3 release. Require matching gobject-introspection version

* Fri Oct 31 2008 Colin Walters <walters@verbum.org>
- Create spec goo
